---
type: api
title: Unfollow an index
description: Convert a cross-cluster replication follower index to a regular index.
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/elasticsearch/v8/operation/operation-ccr-unfollow
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/elasticsearch/v8/operation/operation-ccr-unfollow
products:
  - Elasticsearch
---

# Unfollow an index

Availability: Generally available since 6.5

## Paths

- `POST` `/{index}/_ccr/unfollow`

#### Path parameters

- `index` (string) — required
  The name of the follower index.

## Description

Convert a cross-cluster replication follower index to a regular index.
The API stops the following task associated with a follower index and removes index metadata and settings associated with cross-cluster replication.
The follower index must be paused and closed before you call the unfollow API.

> info
> Currently cross-cluster replication does not support converting an existing regular index to a follower index. Converting a follower index to a regular index is an irreversible operation.

[Read the reference documentation](https://www.elastic.co/guide/en/elasticsearch/reference/8.19/xpack-ccr.html)

## Required authorization

- Index privileges: `manage_follow_index`

## Authentication

- Api key: `Authorization: <value>`
  Elasticsearch APIs support key-based authentication.
  You must create an API key and use the encoded value in the request header.
  For example:
  
  
  ```
  curl -X GET "${ES_URL}/_cat/indices?v=true" \
    -H "Authorization: ApiKey ${API_KEY}"
  ```
  
  To get API keys, use the `/_security/api_key` APIs.
- Basic: `Authorization: Basic <credentials>`
- Bearer: `Authorization: Bearer <token>`
  Elasticsearch APIs support the use of bearer tokens in the `Authorization` HTTP header to authenticate with the API.
  For examples, refer to [Token-based authentication services](https://www.elastic.co/guide/en/elasticsearch/reference/current/token-authentication-services.html)

## Query string parameters

- `master_timeout` (string · default: 30s) — optional
  The period to wait for a connection to the master node.
If the master node is not available before the timeout expires, the request fails and returns an error.
It can also be set to `-1` to indicate that the request should never timeout.

## Response

`application/json`

- `acknowledged` (boolean)
  For a successful response, this value is always true. On failure, an exception is returned instead.
## Code examples

#### Console

```console
POST /follower_index/_ccr/unfollow
```

#### JavaScript

```javascript
const response = await client.ccr.unfollow({
  index: "follower_index",
});
```

#### Python

```python
resp = client.ccr.unfollow(
    index="follower_index",
)
```

#### curl

```curl
curl -X POST "$ELASTICSEARCH_URL/follower_index/_ccr/unfollow" \
  -H "Authorization: ApiKey $ELASTIC_API_KEY"
```

#### Java

```java
client.ccr().unfollow(u -> u
    .index("follower_index")
);
```

#### C#

```c#
var response = await client.CrossClusterReplication.UnfollowAsync(index: "follower_index");
```

#### PHP

```php
$resp = $client->ccr()->unfollow([
    "index" => "follower_index",
]);
```

#### Ruby

```ruby
response = client.ccr.unfollow(
  index: "follower_index"
)
```

## Response examples

#### Unfollow index response example1

A successful response from `POST /follower_index/_ccr/unfollow`.

```json
{
  "acknowledged" : true
}
```

